<?php
$router->add('/', 'GET', function() {
	return '<h2>WebCam API</h2>';
});

/* $router->add('/user/{id}/edit', 'GET|POST', function($id) {
  return 'user id: '.$id;
});
 */
$router->add('/camera/findAll', 'GET', 'App\Controllers\WebcamController::showAll');
$router->add('/camera/{n:id}', 'GET', 'App\Controllers\WebcamController::showCamera');
$router->add('/camera/likeSort', 'GET', 'App\Controllers\WebcamController::likeSort');
$router->add('/camera/search/{*:params}', 'GET', 'App\Controllers\WebcamController::search');
$router->add('/camera/cache/{n:id}', 'GET', 'App\Controllers\WebcamController::cacheCamera');
$router->add('/camera/cache/multi/{*:_ids}', 'GET', 'App\Controllers\WebcamController::cacheCameras');